<form method="method" action="{{ route('Shop.Searches.search') }}" id="search-general">
    <div class="input-group">
        @include('components.form.autocomplete', [
            'name' => 'search',
            'url' => route('Shop.Articles.autocomplete'),
            'data' => [
                'name' => $search['search_name'] ?? '',
            ],
        ])
        <div class="input-group-append">
            <span class="input-group-text"><i class="btn btn-sm fa fa-search"></i></span>
        </div>
    </div>
</form>

@push('js')
    <script>
        $(function() {
            $('#search-general .fa-search').click(function() {
                $('#search-general').submit();
            });

            initAutocomplete('#search_name');
        });
    </script>
@endpush
